# FolderBrowserDialogUI

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md)
    * [ContainerControl](/api/wisej.web/containers/containercontrol.md)
      * [Form](/api/wisej.web/containers/form.md)
        * [FolderBrowserDialogUI](/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md)

UI implementation for the FolderDialog class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FolderBrowserDialogUI : Form
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FolderBrowserDialogUI
    Inherits Form
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) FolderBrowserDialogUI()

Initializes a new instance of [FolderBrowserDialogUI](/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) FolderBrowserDialogUI(folderDialog)

Initializes a new instance of [FolderBrowserDialogUI](/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md).

| Name             | Type                                                                                  | Description |
| ---------------- | ------------------------------------------------------------------------------------- | ----------- |
| **folderDialog** | [FolderBrowserDialog](/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialog.md) |             |

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

Clean up any resources being used.

| Parameter     | Type                                                            | Description                                                     |
| ------------- | --------------------------------------------------------------- | --------------------------------------------------------------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true if managed resources should be disposed; otherwise, false. |

### ![](/files/lzopMboA31bVq8UIcbT3) GetDirectories(root, path)

Returns the directories in the specified *path* within the *root* file system.

| Parameter | Type                                                                             | Description                                                                                                                |
| --------- | -------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| **root**  | [IFileSystemProvider](/api/wisej.core/general/wisej.core.ifilesystemprovider.md) | The [IFileSystemProvider](/api/wisej.core/general/wisej.core.ifilesystemprovider.md) that represents the root file system. |
| **path**  | [String](https://docs.microsoft.com/dotnet/api/system.string)                    | Full path containing the directories to enumerate.                                                                         |

**Returns:** [String\[\]](https://docs.microsoft.com/dotnet/api/system.string). A string array with the path of the directories.

### ![](/files/lzopMboA31bVq8UIcbT3) OnLoad(e)

| Parameter | Type                                                                | Description |
| --------- | ------------------------------------------------------------------- | ----------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) |             |

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IContainerControl](/api/wisej.web/interfaces/wisej.web.icontainercontrol.md)     | Provides the functionality for a control to act as a parent for other controls.                                       |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejWindow](/api/wisej.core/interfaces/wisej.core.iwisejwindow.md)             | All wisej top-level windows implement this interface.                                                                 |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
